package parse_du2_speedup_logs;


public class TaskIdentifier implements Comparable<TaskIdentifier> {
	
	private int size, clusters, iterations;
	
	public TaskIdentifier(int size, int clusters, int iterations) { 
		this.size = size;
		this.clusters = clusters;
		this.iterations = iterations;
	}
	
	public String toString() {	
		StringBuilder identifierString = new StringBuilder();
		identifierString.append(size);
		identifierString.append(";");
		identifierString.append(clusters);
		identifierString.append(";");
		identifierString.append(iterations);
		return identifierString.toString();
	}
	
	public boolean equals(TaskIdentifier second) {
		return size == second.size && clusters == second.clusters && iterations == second.iterations;
	}

	@Override
	public int compareTo(TaskIdentifier second) {
		if(size < second.size) {
			return -1;
		} else if(size == second.size) {
			if(clusters < second.clusters) {
				return -1;
			} else if(clusters == second.clusters) {
				if(iterations < second.iterations) {
					return -1;
				} else if(iterations == second.iterations) {
					return 0;
				} else {
					return 1;
				}
			} else {
				return 1;
			}
		} else { 
			return 1;
		}
	}
}
