package parse_du2_speedup_logs;

import java.util.HashMap;
import java.util.Map;

public class TaskResults {
	
	private TaskIdentifier identifier;
	
	private Map<String, VersionResult> results;
	
	private final String[] versions;
	
	public TaskResults(TaskIdentifier id, String[] versions) { 
		identifier = id; this.versions = versions;
		results = new HashMap<String, VersionResult>();
	}
	
	public void AddVersionResult(String versionName, double input) {
		results.put(versionName, new VersionResult(input));
	}
	
	public String toString() {
		StringBuilder sb = new StringBuilder("");
		sb.append(identifier.toString());
		sb.append(";");
		for(String version : versions) {
			if(results.containsKey(version)) {
				sb.append(results.get(version).toString());
			}
			sb.append(";");
		}
		return sb.toString();
	}

}
