#!/bin/bash

logfile=speedup.log

for input_size in 1024 4096 16384 32768 65536 131072 262144 524288 1048576
do

	kmeans/kmeans --generate $input_size.dat $input_size 42
	
	for cluster_count in 2 4 8 16 32 64 128 255
	do
	
		for iteration_count in 64 512 2048
		do
			echo 
			echo "Trying input_size $input_size, cluster_count $cluster_count, iteration_count $iteration_count." 
		
			echo "Serial version:" 
			time kmeans/kmeans $input_size.dat kmeans/means.out kmeans/clusters.out $cluster_count $iteration_count 
		
			echo 
			echo "Parallel version:" 
			time ./du2 $input_size.dat means.out clusters.out $cluster_count $iteration_count 
		
			cmp means.out kmeans/means.out >>$logfile || echo "means.out are different!"
			cmp clusters.out kmeans/clusters.out >>$logfile || echo "clusters.out are different!" 
		done &>>$logfile
	done
done

echo "Finished."
